Package org.springframework.beans.factory.xml

# Class BeansDtdResolver

java.lang.Object
org.springframework.beans.factory.xml.BeansDtdResolver

All Implemented Interfaces:
  `EntityResolver`

public class BeansDtdResolver extends Object implements EntityResolver
`EntityResolver` implementation for the Spring beans DTD, to load the DTD from the Spring class path (or JAR file).

Fetches "spring-beans.dtd" from the class path resource "/org/springframework/beans/factory/xml/spring-beans.dtd", no matter whether specified as some local URL that includes "spring-beans" in the DTD name or as "https://www.springframework.org/dtd/spring-beans-2.0.dtd".

Since:
  04.06.2003
Author:
  Juergen Hoeller, Colin Sampaleanu
See Also:
  - `ResourceEntityResolver`

## Constructor Summary

Constructors
Constructor
Description
`BeansDtdResolver()`

## Method Summary

Modifier and Type
Method
Description
`InputSource`
`resolveEntity(String publicId, String systemId)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BeansDtdResolver

public BeansDtdResolver()

## Method Details

### resolveEntity

@Nullable public InputSource resolveEntity(@Nullable String publicId, @Nullable String systemId) throws IOException

Specified by:
  `resolveEntity` in interface `EntityResolver`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`